> ## Documentation Index
> Fetch the complete documentation index at: https://docs.byblend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get prescription products

> Retrieve all prescription products. This endpoint returns paginated responses.

Details on pagination are returned in response headers.

- `X-Total-Count`: total number of items available
- `X-Page`: current page number
- `X-Page-Size`: number of items per page
- `X-Total-Pages`: total number of pages available
- `X-Remaining-Count`: number of items remaining after the current page




## OpenAPI

````yaml /openapi-public.yml get /api/v1/products/prescription
openapi: 3.0.3
info:
  title: Blend API
  version: 1.0.0
  description: API for Blend
servers:
  - url: https://api.byblend.com
    description: Blend production server
security:
  - bearerAuth: []
tags:
  - name: Orders
    description: Order management endpoints
  - name: Patients
    description: Patient management endpoints
  - name: Reports
    description: Reporting endpoints
  - name: Products and Materials
    description: Product catalog and inventory endpoints
  - name: Electronic Prescriptions
    description: Electronic prescription management endpoints
  - name: Prescriptions
    description: Prescription management endpoints
  - name: Authentication
    description: Authentication endpoints
  - name: Notifications
    description: User management endpoints
  - name: Prescribers
paths:
  /api/v1/products/prescription:
    get:
      tags:
        - Products and Materials
      summary: Get prescription products
      description: >
        Retrieve all prescription products. This endpoint returns paginated
        responses.


        Details on pagination are returned in response headers.


        - `X-Total-Count`: total number of items available

        - `X-Page`: current page number

        - `X-Page-Size`: number of items per page

        - `X-Total-Pages`: total number of pages available

        - `X-Remaining-Count`: number of items remaining after the current page
      parameters:
        - name: page
          in: query
          required: false
          description: Page number for pagination
          schema:
            type: integer
            example: 1
        - name: page_size
          in: query
          required: false
          description: Number of items per page; defaults to 25, max of 200
          schema:
            type: integer
            example: 25
      responses:
        '200':
          description: Successful response with all prescription products.
          headers:
            X-Total-Count:
              $ref: '#/components/headers/X-Total-Count'
            X-Page:
              $ref: '#/components/headers/X-Page'
            X-Page-Size:
              $ref: '#/components/headers/X-Page-Size'
            X-Total-Pages:
              $ref: '#/components/headers/X-Total-Pages'
            X-Remaining-Count:
              $ref: '#/components/headers/X-Remaining-Count'
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProductPrescriptionFull'
components:
  headers:
    X-Total-Count:
      schema:
        type: integer
      description: Total number of items available.
      example: 121
    X-Page:
      schema:
        type: integer
      description: Current page number.
      example: 2
    X-Page-Size:
      schema:
        type: integer
      description: Number of items per page.
      example: 25
    X-Total-Pages:
      schema:
        type: integer
      description: Total number of pages available based on the page size and total count.
      example: 5
    X-Remaining-Count:
      schema:
        type: integer
      description: Number of items remaining after current page.
      example: 96
  schemas:
    ProductPrescriptionFull:
      allOf:
        - $ref: '#/components/schemas/ProductBase'
        - $ref: '#/components/schemas/ProductPrescription'
    ProductBase:
      allOf:
        - $ref: '#/components/schemas/ID'
        - $ref: '#/components/schemas/Timestamps'
        - type: object
          properties:
            sku:
              type: string
              example: '1234567890'
              description: Unique inventory identifier for the product
    ProductPrescription:
      type: object
      properties:
        name:
          type: string
          example: Mupirocin
        description:
          type: string
          example: A topical cream that is used to treat skin infections.
        product_code:
          type: string
          example: SUPERSPRAY15
          description: >-
            Customer reference for the product for use in electronic
            prescriptions.
        form:
          type: string
          example: cream
          description: Optional form of the product for customer use, if desired.
        is_active:
          type: boolean
          example: true
          description: Whether the product is currently active for purchase or prescription
        label_orientation:
          type: string
          example: portrait
          description: >-
            Orientation of the printed product label, either `portrait` or
            `landscape`.
        strength:
          type: string
          example: 1%
          description: Optional strength of the product for customer use, if desired.
    ID:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier
          example: 0227d1e5-ba9a-42b5-8fe2-38882aa65708
    Timestamps:
      type: object
      properties:
        created_at:
          type: string
          format: date-time
          description: Date and time of creation
          example: '2025-03-15T12:00:00Z'
        updated_at:
          type: string
          format: date-time
          description: Date and time of last update
          example: '2025-03-15T12:00:00Z'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````